Authorization Portlet in production
Dec 10, 2015 06:05 PM - Gianpaolo Coro

Status: Closed Start date: Dec 10, 2015
Priority: Urgent Due date:

Assignee: Lucio Lelii % Done: 100%
Category: System Application Estimated time: 0.00 hour
Infrastructure: Production

Description

In order to release Dataminer in production environment, we need to generate tokens. Thus, the Authorization portlet should be

made available.

History

#1 - Dec 10, 2015 06:05 PM - Gianpaolo Coro

- Priority changed from Normal to Urgent

#2 - Dec 10, 2015 06:36 PM - Massimiliano Assante
in Which VREs do you need it?

#3 - Dec 10, 2015 06:44 PM - Gianpaolo Coro

- Status changed from New to In Progress

At least in BiodiversityLab, Scalable Data Mining and BiOnym.

#4 - Dec 10, 2015 07:01 PM - Massimiliano Assante

- Status changed from In Progress to Feedback
@lucio.lelii@isti.cnr.it please add the authorisation to the scopes:
e gCubeApps/BiOnym

e gCubeApps/BiodiversityLab
¢ gCubeApps/ScalableDataMining

#5 - Dec 10, 2015 07:27 PM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Lucio Lelii

The portlet is in place on imarine Gateway, on Biodiversity and Bionym, https:/i-marine.d4science.org/group/biodiversitylab

However there is some issue with the underlying service at the moment. Lucio is looking into it.

#6 - Dec 10, 2015 07:33 PM - Lucio Lelii

| have added the Service to the scopes, now the token generation works on Biodiversity but i cannot see the portlet on BiOnym

#7 - Dec 11,2015 11:06 AM - Massimiliano Assante
- Status changed from Feedback to Closed

Token authorization Portlet in production deployed and working on scopes:

e gCubeApps/BiOnym
e gCubeApps/BiodiversityLab
¢ gCubeApps/ScalableDataMining

#8 - Dec 11, 2015 11:06 AM - Massimiliano Assante
- % Done changed from 0 to 100

#9 - Dec 11, 2015 03:25 PM - Gianpaolo Coro
https://i-marine.d4science.org/group/biodiversitylab

Just a bug @massimiliano.assante@isti.cnr.it : if you generate a token, then press X on the token, then you are no more able to generate the token
again. In fact, if you press the button again the entire Portal freezes (!!!). You need to shut the browser window down to be able to use the portal
again. | also think that the previous connections remain pending.
